Get top-spending fans for a creator

Returns a paginated list of the top-spending fans for the specified creator with their spending totals and message counts. <Info>Scopes required: `read:creator`, `read:insights`, `read:fan`</Info>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

creatorUserUuidstringRequiredformat: "uuid"

Headers

X-Fanvue-API-VersionstringRequiredDefaults to 2025-06-26
API version to use for the request

Query parameters

startDatestringOptionalformat: "date-time"

Start date as ISO 8601 datetime string with optional timezone offset (e.g., 2024-10-20T00:00:00+01:00 or 2024-10-20T00:00:00Z).

endDatestringOptionalformat: "date-time"

End date as ISO 8601 datetime string with optional timezone offset (e.g., 2024-10-25T00:00:00+01:00 or 2024-10-25T00:00:00Z). Non-inclusive - data before this date is included.

pagedoubleOptional>=1Defaults to 1

Page number to retrieve (starts from 1)

sizedoubleOptional1-50Defaults to 15

Number of items to return per page (1-50, default: 15)

Response

Top spending fans with pagination
datalist of objects
Array of top spending fans with their spending totals and message counts
paginationobject
Pagination information

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
410
Gone Error